Package com.databend.jdbc

# Class PresignContext.Builder

java.lang.Object
com.databend.jdbc.PresignContext.Builder

Enclosing class:
  `PresignContext`

public static class PresignContext.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`PresignContext`
`build()`
`PresignContext.Builder`
`fileName(String fileName)`
`PresignContext.Builder`
`fileSize(Long fileSize)`
`PresignContext.Builder`
`headers(okhttp3.Headers headers)`
`PresignContext.Builder`
`method(com.databend.jdbc.PresignContext.PresignMethod method)`
`PresignContext.Builder`
`stageName(String stageName)`
`PresignContext.Builder`
`url(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### method

public PresignContext.Builder method(com.databend.jdbc.PresignContext.PresignMethod method)

### stageName

public PresignContext.Builder stageName(String stageName)

### fileName

public PresignContext.Builder fileName(String fileName)

### fileSize

public PresignContext.Builder fileSize(Long fileSize)

### headers

public PresignContext.Builder headers(okhttp3.Headers headers)

### url

public PresignContext.Builder url(String url)

### build

public PresignContext build()